package com.bumptech.glide.c.b.a;

import android.graphics.Bitmap.Config;
import com.bumptech.glide.h.j;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class n$a implements m {
    private final n$b aCW;
    private Config aCt;
    int size;

    public n$a(n$b n_b) {
        this.aCW = n_b;
    }

    public final void b(int i, Config config) {
        this.size = i;
        this.aCt = config;
    }

    public final void mQ() {
        AppMethodBeat.i(91957);
        this.aCW.a(this);
        AppMethodBeat.o(91957);
    }

    public final String toString() {
        AppMethodBeat.i(91958);
        String a = n.a(this.size, this.aCt);
        AppMethodBeat.o(91958);
        return a;
    }

    public final boolean equals(Object obj) {
        AppMethodBeat.i(91959);
        if (obj instanceof n$a) {
            n$a n_a = (n$a) obj;
            if (this.size == n_a.size && j.h(this.aCt, n_a.aCt)) {
                AppMethodBeat.o(91959);
                return true;
            }
            AppMethodBeat.o(91959);
            return false;
        }
        AppMethodBeat.o(91959);
        return false;
    }

    public final int hashCode() {
        AppMethodBeat.i(91960);
        int hashCode = (this.aCt != null ? this.aCt.hashCode() : 0) + (this.size * 31);
        AppMethodBeat.o(91960);
        return hashCode;
    }
}
